Create rebalances
POST/v1/rebalances
Creates one rebalance for each entry of the request body, and returns the ID and the status of each, in request order. AdviceCloud then builds the trades of each rebalance in the background. A manual rebalance starts with the status proposed and no trades; add them with Update a rebalance.
If your firm has no household with one of the householdId values, no rebalance is created and the response is 404.
Request
Responses
- 201
- 400
- 401
- 403
- 404
- 429
The ID and the status of each rebalance you created.
The request body is not an array, or an entry is invalid, for example type is not a rebalance type or accounts is missing for raise_cash.
The access token is missing, invalid, or expired.
The access token does not have the write:rebalance scope.
Your firm has no household with one of the householdId values, or an account that carries a cashBalanceAdjustment is not an active account of its household.
Too many requests. Wait the number of seconds in the Retry-After-per-person header (script-audience tokens) or the Retry-After header (other requests) before you retry. See Rate limit.